yuminstall() {
echo "*************************************************"
cecho "* Installing Development Tools" $boldgreen
echo "*************************************************"
echo "please wait for yum download and installs to complete."
echo "yum installs in less verbose mode so final install status is only shown.."
echo "...."
echo "......"
echo "........."

if [[ "$CENTOSVER" = '6.0' || "$CENTOSVER" = '6.1' || "$CENTOSVER" = '6.2' ]]; then
yum -y -q install yum-plugin-priorities
else
yum -y -q install yum-priorities
fi

if [[ "$CENTOSVER" = '5.3' || "$CENTOSVER" = '5.4' || "$CENTOSVER" = '5.5' || "$CENTOSVER" = '5.6' || "$CENTOSVER" = '5.7' || "$CENTOSVER" == '5.8' ]]; then
cd /usr/local/src

if [ -s epel-release-5-4.noarch.rpm ]; then
  echo "epel-release-5-4.noarch.rpm [found]"
  else
  echo "Error: epel-release-5-4.noarch.rpm not found!!!download now......"
  wget -c http://dl.fedoraproject.org/pub/epel/5/`uname -m`/epel-release-5-4.noarch.rpm --tries=3

fi

rpm -i epel-release-5-4.noarch.rpm

if [ -s rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm ]; then
  echo "rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm [found]"
  else
  echo "Error: rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm not found!!!download now......"
  wget -c http://apt.sw.be/redhat/el5/en/`uname -m`/rpmforge/RPMS/rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm --tries=3

fi

rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt
rpm -i rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm

fi # CENTOS 5.x

### smarter yum install update routine ###

#yum -y -q update kernel-devel

PACKAGE='autoconf autoconf213 cronie crontabs cronie-anacron nc gcc gcc-c++ automake distcache openssl curl curl-devel openldap openldap-devel libtool make libXext-devel unzip slocate patch sysstat gcc44 gcc44-c++ zlib zlib-devel libc-client-devel openssh gd gd-devel pcre pcre-devel flex bison file libgcj gettext gettext-devel e2fsprogs-devel libtool-libs libtool-ltdl-devel libidn libidn-devel krb5-devel libjpeg libjpeg-devel libpng libpng-devel freetype freetype-devel libxml2 libxml2-devel libXpm-devel libmcrypt libmcrypt-devel glib2 glib2-devel bzip2 bzip2-devel vim-minimal nano ncurses ncurses-devel e2fsprogs gmp-devel pspell-devel aspell-devel numactl lsof pkgconfig gdbm-devel tk-devel bluez-libs-devel iptables* rrdtool diffutils libc-client libc-client-devel which ImageMagicK perl-ExtUtils-MakeMaker perl-Time-HiRes cyrus-sasl cyrus-sasl-devel strace pam pam-devel cmake libaio libaio-devel'

declare -a array
array=(${PACKAGE})

for pkg in ${array[@]}
do
echo Processing package: $pkg
YUMINSTALLRPMCHECK=`yum -q list installed $pkg | awk '/Installed/ {print $1}' &>/dev/null`
#echo $YUMINSTALLRPMCHECK
        if [ "$YUMINSTALLRPMCHECK" == 'Installed' ]; then
echo "----------------------------------------------------------------------------------"
        yum -q -y update $pkg
        yum -q list $pkg
echo "----------------------------------------------------------------------------------"
        else
echo "----------------------------------------------------------------------------------"
echo "Installing $pkg"
echo "----------------------------------------------------------------------------------"
        yum -q -y install $pkg
        yum -q list $pkg
echo "----------------------------------------------------------------------------------"
        fi
done

yum -y -q install mytop iftop iotop
if [ -f /usr/bin/mytop ]; then
sed -i 's/"long|!"/"long|long_nums|l!"/g' /usr/bin/mytop
fi

if [[ "$CENTOSVER" = '6.0' || "$CENTOSVER" = '6.1' || "$CENTOSVER" = '6.2' ]]; then

echo "*************************************************"
cecho "* CentOS 6 / 6.1 / 6.2 detected installing EPEL Repo" $boldgreen
echo "*************************************************"

    if [ ${MACHINE_TYPE} == 'x86_64' ];
    then
        ARCH='x86_64'
       RPMFARCH='x86_64'
    else
        ARCH='i686'
        RPMFARCH='i386'
    fi

cd /usr/local/src

if [ -s epel-release-6-5.noarch.rpm ]; then
  echo "epel-release-6-5.noarch.rpm [found]"
  else
  echo "Error: epel-release-6-5.noarch.rpm not found!!!download now......"
  wget -c http://dl.fedoraproject.org/pub/epel/6/${RPMFARCH}/epel-release-6-5.noarch.rpm --tries=3

fi

rpm -i epel-release-6-5.noarch.rpm

if [ -s rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm ]; then
  echo "rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm [found]"
  else
  echo "Error: rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm not found!!!download now......"
  wget -c http://apt.sw.be/redhat/el6/en/${RPMFARCH}/rpmforge/RPMS/rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm --tries=3

fi

rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt
rpm -i rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm

# CentOS 6 repo mirrors aren't fully updated so need to specify actual kernel-headers version
PACKAGEEXTRA='axel mlocate libmcrypt libmcrypt-devel kernel-headers kernel-devel'

declare -a arrays
arrays=(${PACKAGEEXTRA})

for pkgs in ${arrays[@]}
do
echo Processing package: $pkgs
YUMINSTALLRPMCHECKS=`yum -q list installed $pkgs | awk '/Installed/ {print $1}' &>/dev/null`
#echo $YUMINSTALLRPMCHECKS
        if [ "$YUMINSTALLRPMCHECKS" == 'Installed' ]; then
echo "----------------------------------------------------------------------------------"
        yum -q -y update $pkgs
        yum -q list $pkgs
echo "----------------------------------------------------------------------------------"
        else
echo "----------------------------------------------------------------------------------"
echo "Installing $pkgs"
echo "----------------------------------------------------------------------------------"
        yum -q -y install $pkgs
        yum -q list $pkgs
echo "----------------------------------------------------------------------------------"
        fi
done

fi

}